actions: []
api_documentation: http://docs.ros.org/en/noetic/api/etsi_its_cpm_ts_msgs/html
authors: "Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>, Guido K\xFCppers <guido.kueppers@rwth-aachen.de>,\
  \ Lennart Reiher <lennart.reiher@rwth-aachen.de>"
brief: ''
bugtracker: ''
depends:
- catkin
- message_generation
- message_runtime
- ros_environment
- std_msgs
depends_on:
- etsi_its_cpm_ts_conversion
- etsi_its_msgs
description: ROS messages for ETSI ITS CPM (TS)
devel_jobs:
- https://build.ros.org/view/Ndev/job/Ndev__etsi_its_messages__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__etsi_its_messages__ubuntu_focal_amd64
has_changelog_rst: true
license: MIT
maintainer_status: developed
maintainers: "Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>, Guido K\xFCppers\
  \ <guido.kueppers@rwth-aachen.de>, Lennart Reiher <lennart.reiher@rwth-aachen.de>"
msgs:
- VelocityPolarWithZ
- AccelerationPolarWithZ
- CartesianPosition3dWithConfidence
- OriginatingRsuContainer
- Acceleration3dWithConfidence
- LongitudinalLanePositionConfidence
- Altitude
- PerceptionRegionContainer
- OrdinalNumber3b
- LongitudinalLanePositionValue
- StandardLength12b
- Wgs84Angle
- SequenceOfCartesianPosition3d
- VelocityCartesian
- RadialShapesList
- LowerTriangularPositiveSemidefiniteMatrices
- PosConfidenceEllipse
- MessageRateRange
- VruSubProfileBicyclist
- StandardLength1B
- Identifier1B
- CardinalNumber3b
- ObjectDimension
- VruClusterProfiles
- EulerAnglesWithConfidence
- MatrixIncludedComponents
- PerceivedObjectIds
- OtherSubClass
- LongitudinalLanePosition
- RadialShape
- Wgs84AngleConfidence
- ObjectDimensionValue
- Identifier2B
- CpmContainerId
- CartesianAngularVelocityComponent
- RadialShapeDetails
- AltitudeValue
- AngleConfidence
- SensorInformation
- MessageRateHz
- VruClusterInformation
- MapPosition
- RectangularShape
- ConfidenceLevel
- TrailerData
- CollectivePerceptionMessage
- ConstraintWrappedCpmContainers
- ObjectClass
- AltitudeConfidence
- MessageSegmentationInfo
- SpeedValue
- EllipticalShape
- ObjectDimensionConfidence
- StationId
- IntersectionReferenceId
- WrappedCpmContainer
- PerceptionRegion
- CircularShape
- CartesianCoordinateWithConfidence
- OriginatingVehicleContainer
- CartesianAngle
- TrailerDataSet
- VelocityComponentValue
- CartesianCoordinateLarge
- MapReference
- AccelerationConfidence
- CoordinateConfidence
- TimestampIts
- CorrelationColumn
- CartesianAngularVelocityComponentValue
- VehicleWidth
- WrappedCpmContainers
- Speed
- AngularSpeedConfidence
- VruSubProfileAnimal
- RoadSegmentReferenceId
- TrafficParticipantType
- CartesianAngleValue
- SequenceOfIdentifier1B
- SemiAxisLength
- ObjectClassWithConfidence
- LowerTriangularPositiveSemidefiniteMatrix
- Longitude
- CartesianPosition3d
- AccelerationMagnitude
- Wgs84AngleValue
- SensorInformationContainer
- CorrelationCellValue
- CartesianCoordinate
- CpmPayload
- ManagementContainer
- PerceivedObjects
- AccelerationMagnitudeValue
- PolygonalShape
- ObjectPerceptionQuality
- ItsPduHeader
- VruSubProfilePedestrian
- RadialShapes
- MessageId
- AccelerationComponent
- AccelerationValue
- CardinalNumber1B
- ObjectClassDescription
- Velocity3dWithConfidence
- SensorType
- AccelerationCartesian
- SpeedConfidence
- DeltaTimeMilliSecondSigned
- HeadingValue
- VruProfileAndSubprofile
- VruSubProfileMotorcyclist
- Latitude
- PerceivedObjectContainer
- OrdinalNumber1B
- LowerTriangularPositiveSemidefiniteMatrixColumns
- ReferencePosition
- VelocityComponent
- PerceivedObject
- CartesianCoordinateSmall
- Shape
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__etsi_its_cpm_ts_msgs__ubuntu_focal__source
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__etsi_its_cpm_ts_msgs__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__etsi_its_cpm_ts_msgs__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__etsi_its_cpm_ts_msgs__ubuntu_focal_arm64__binary
repo_name: etsi_its_messages
repo_url: ''
srvs: []
timestamp: 1734001440.8699973
url: ''
vcs: git
vcs_uri: https://github.com/ika-rwth-aachen/etsi_its_messages.git
vcs_version: main
